## microsocks 1.0.1

=== Makefile ===
# if you want to change/override some variables, do so in a file called
# config.mak, which is gets included automatically if it exists.

prefix = /usr/local
bindir = $(prefix)/bin

PROG = microsocks
SRCS =  sockssrv.c server.c sblist.c sblist_delete.c
OBJS = $(SRCS:.c=.o)

LIBS = -lpthread

CFLAGS += -Wall -std=c99

-include config.mak

all: $(PROG)

install: $(PROG)
	install -d $(DESTDIR)/$(bindir)
	install -D -m 755 $(PROG) $(DESTDIR)/$(bindir)/$(PROG)

clean:
	rm -f $(PROG)
	rm -f $(OBJS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(INC) $(PIC) -c -o $@ $<

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

.PHONY: all clean install

=== debian/changelog ===
microsocks (1.0.1-2) unstable; urgency=medium

  * Reupload, to move it from experimental to unstable
  * - fix package-uses-old-debhelper-compat-version 12

 -- Tong Sun <suntong001@users.sourceforge.net>  Wed, 14 Oct 2020 01:17:05 +0000

microsocks (1.0.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #962479)
  * add debian/watch
  * fixed E: copyright-contains-dh_make-todo-boilerplate,
             extended-description-is-empty
  * fixed W: spelling-error-in-changelog
  * Change the license from MIT to Expat in d/copyright
  * fixes:
    - ancient-standards-version
    - package-uses-deprecated-debhelper-compat-version
    - quilt-patch-missing-description
    - debian-control-has-unusual-field-spacing
    - file-contains-trailing-whitespace debian/control
    - insecure-copyright-format-uri
  * fixes: debhelper-but-no-misc-depends
  * fixes: rules-requires-root-missing
  * fix upstream-metadata-file-is-missing with DEP-12 upstream metadata
  * fix dep5-copyright-license-name-not-unique
  * try fixing testsuite-autopkgtest-missing
  * fix upstream-metadata-missing-bug-tracking
  * lintian-overrides binary-without-manpage

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 28 Jun 2020 03:43:13 +0000

microsocks (1.0.1-0ubuntu1~unstable~ppa3) unstable; urgency=medium

  * Packaging 1.0.1 again.
  * Remove redundant installation.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Sat, 09 Mar 2019 07:12:46 +0800

microsocks (1.0.1-0ubuntu1~unstable~ppa2) unstable; urgency=medium

  * Packaging 1.0.1 again.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Sat, 09 Mar 2019 06:52:05 +0800

microsocks (1.0.1-0ubuntu1~unstable~ppa1) unstable; urgency=medium

  * Packaging 1.0.1.

 -- Gea-Suan Lin (PPA) <gslin@gslin.org>  Sat, 09 Mar 2019 05:59:49 +0800

=== debian/control ===
Source: microsocks
Maintainer: Tong Sun <suntong001@users.sourceforge.net>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/rofl0r/microsocks
Vcs-Git: https://github.com/rofl0r/microsocks.git
Homepage: https://github.com/rofl0r/microsocks

Package: microsocks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: multithreaded, small, efficient SOCKS5 server.
 MicroSocks - multithreaded, small, efficient SOCKS5 server, is a SOCKS5
 service that you can run on your remote boxes to tunnel connections
 through them, if for some reason SSH doesn't cut it for you.
 .
  - It's very lightweight, and very light on resources too.
  - It's also designed to be robust: it handles resource exhaustion gracefully
 by simply denying new connections, instead of calling abort() as most
 other programs do these days.
  - Another plus is ease-of-use: no config file necessary, everything can
 be done from the command line and doesn't even need any parameters for
 quick setup.

=== debian/tests/control ===
Test-Command: echo "TODO"
Depends: @builddeps@
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%microsocks-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/rofl0r/microsocks/tags .*/v?(\d\S*)\.tar\.gz debian

## microsocks 1.0.3

=== debian/changelog ===
microsocks (1.0.3-2) unstable; urgency=medium

  * New maintainer. Closes: #1020721
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add my debian/* copyright notice.
  * Add a DEP-3 header to the Makefile patch.
  * Drop the dot at the end of the short description.
  * Add a Python autopkgtest program, replace the superficial test with it,
    and also run it during the build.

 -- Peter Pentchev <roam@debian.org>  Sun, 12 Feb 2023 01:44:26 +0200

microsocks (1.0.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.0.3.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Fix Vcs-*.
  * debian/rules: Enable full hardening..
  * debian/watch: Update monitoring script.
  * debian/control: Set package maintainer to Debian QA Group.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 17:12:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: microsocks
-Maintainer: Tong Sun <suntong001@users.sourceforge.net>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ python3 <!nocheck>,
+ python3-netifaces <!nocheck>,
+ python3-utf8-locale <!nocheck>,
+ python3-cfg-diag <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://github.com/rofl0r/microsocks
-Vcs-Git: https://github.com/rofl0r/microsocks.git
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/microsocks.git
+Vcs-Browser: https://salsa.debian.org/debian/microsocks
 Homepage: https://github.com/rofl0r/microsocks
 
 Package: microsocks
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: multithreaded, small, efficient SOCKS5 server.
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: multithreaded, small, efficient SOCKS5 server
  MicroSocks - multithreaded, small, efficient SOCKS5 server, is a SOCKS5
  service that you can run on your remote boxes to tunnel connections
  through them, if for some reason SSH doesn't cut it for you.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_auto_test:
	env PYTHONPATH="${CURDIR}/debian/tests/python" python3 -B -u -m msocktest -v -s "${CURDIR}/microsocks"

=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n===== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m msocktest -v -s /usr/bin/microsocks; done
Depends:
 @,
 python3-all,
 python3-cfg-diag,
 python3-netifaces,
 python3-utf8-locale,
Restrictions: allow-stderr
Features: test-name=debian-python

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://github.com/rofl0r/microsocks/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## microsocks 1.0.4

=== debian/changelog ===
microsocks (1.0.4-1) unstable; urgency=medium

  * autopkgtest: unvendor the test-tunnel Python framework now that
    the python3-test-tunnel package is in Debian.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF metadata.
  * Use debhelper compat level 14:
    - use X-DH-Compat
    - build-depend on the dh-sequence-single-binary virtual package
    - let debhelper take care of some default dependencies

 -- Peter Pentchev <roam@debian.org>  Tue, 13 Aug 2024 01:25:49 +0300

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
  python3 <!nocheck>,
- python3-netifaces <!nocheck>,
- python3-utf8-locale <!nocheck>,
- python3-cfg-diag <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+ python3-test-tunnel <!nocheck>,
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/microsocks.git
 Vcs-Browser: https://salsa.debian.org/debian/microsocks
 Homepage: https://github.com/rofl0r/microsocks
 
 Package: microsocks
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
 Description: multithreaded, small, efficient SOCKS5 server
  MicroSocks - multithreaded, small, efficient SOCKS5 server, is a SOCKS5
  service that you can run on your remote boxes to tunnel connections

=== debian/tests/control ===
Test-Command: python3 -B -u -m test_tunnel.cmd_test.microsocks -v -p /usr/bin/microsocks
Depends:
 @,
 python3,
 python3-test-tunnel,
Restrictions: allow-stderr
Features: test-name=debian-python

## microsocks 1.0.5

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,14 @@
 
 CFLAGS += -Wall -std=c99
 
+INSTALL = ./install.sh
+
 -include config.mak
 
 all: $(PROG)
 
 install: $(PROG)
-	install -d $(DESTDIR)/$(bindir)
-	install -D -m 755 $(PROG) $(DESTDIR)/$(bindir)/$(PROG)
+	$(INSTALL) -D -m 755 $(PROG) $(DESTDIR)$(bindir)/$(PROG)
 
 clean:
 	rm -f $(PROG)

=== debian/changelog ===
microsocks (1.0.5-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Convert the watch file to version 5 of the format.
  * Run some more checks in Salsa CI.
  * Drop the version in the python3-test-tunnel dependency.

 -- Peter Pentchev <roam@debian.org>  Fri, 26 Sep 2025 02:38:29 +0300

microsocks (1.0.5-1) unstable; urgency=medium

  * Add Salsa CI configuration.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release:
    - add the typos patch to fix a minor grammar nit

 -- Peter Pentchev <roam@debian.org>  Fri, 14 Feb 2025 16:39:34 +0200

microsocks (1.0.4-2) unstable; urgency=medium

  * Try to fix the GNU Hurd build by depending on the fixed version of
    python3-test-tunnel, both at build time and in the autopkgtest.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Wed, 14 Aug 2024 18:54:51 +0300

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  python3 <!nocheck>,
  python3-test-tunnel <!nocheck>,
 X-DH-Compat: 14
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/microsocks.git
 Vcs-Browser: https://salsa.debian.org/debian/microsocks
 Homepage: https://github.com/rofl0r/microsocks
+X-Style: black
 
 Package: microsocks
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,13 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 
 %:
 	dh $@
 
 override_dh_auto_test:
-	env PYTHONPATH="${CURDIR}/debian/tests/python" python3 -B -u -m msocktest -v -s "${CURDIR}/microsocks"
+	python3 -B -u -m test_tunnel.cmd_test.microsocks -v -p "${CURDIR}/microsocks"

=== debian/tests/control ===
Test-Command: python3 -B -u -m test_tunnel.cmd_test.microsocks -v -p /usr/bin/microsocks
Depends:
 python3,
 python3-test-tunnel,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=debian-python,

=== debian/watch ===
Version: 5

Source: https://github.com/rofl0r/microsocks/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
